Skip to main content
PATCH
/
ach
/
{transaction_id}
Update a sent ACH transaction
curl --request PATCH \
  --url https://api-sandbox.synctera.com/v0/ach/{transaction_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "funds_availability_time": "2010-05-06T12:23:34.321Z",
  "status": "CANCELED"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/ach/{transaction_id}"

payload = {
    "funds_availability_time": "2010-05-06T12:23:34.321Z",
    "status": "CANCELED"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({funds_availability_time: '2010-05-06T12:23:34.321Z', status: 'CANCELED'})
};

fetch('https://api-sandbox.synctera.com/v0/ach/{transaction_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "account_no": "122455799",
  "amount": 1560,
  "bank_id": 1,
  "effective_date": "2022-03-25",
  "external_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "is_same_day": true,
  "memo": "<string>",
  "partner_id": 2,
  "source_account_no": "123638791329",
  "trace_no": "123456780000069",
  "account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "account_name": "Bruce Wayne",
  "company_entry_description": "PAYROLL",
  "company_name": "Asdf Finance",
  "hold": {
    "amount": 123,
    "availability_time": "2010-05-06T12:23:34.321Z"
  },
  "incoming_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "reference_info": "<string>",
  "return_data": {
    "code": "R01",
    "original_dfi_no": "364275034",
    "original_trace": "123456780000069",
    "dishonored_return_code": "69",
    "dishonored_return_settlement_date": "256",
    "dishonored_return_trace": "123456780000069",
    "field_errors": "05",
    "return_code": "13",
    "return_settlement_date": "256",
    "return_trace": "123456780000069"
  },
  "source_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "source_account_name": "Thomas Anderson"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}
{
  "code": "BAD_REQUEST_BODY",
  "detail": "missing required fields: first_name, dob",
  "status": 400,
  "title": "Bad Request Body",
  "type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

transaction_id
string<uuid>
required

Transaction ID in the ledger

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Body

application/json

Update sent ach transaction

Update sent ach transaction

funds_availability_time
string<date-time> | null
Example:

"2010-05-06T12:23:34.321Z"

status
enum<string> | null
Available options:
CANCELED

Response

Sent ACH transaction representation.

Represents a sent ACH transaction.

account_no
string
required

Receiving account number

Example:

"122455799"

amount
integer
required

Transaction amount in cents

Example:

1560

bank_id
integer
required
Example:

1

effective_date
string<date>
required

Effective date of the transaction

Example:

"2022-03-25"

external_id
string<uuid>
required

Transaction ID in the ledger

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

id
string<uuid>
required
Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

is_same_day
boolean
required

Was initiated as same-day ACH transaction

memo
string
required
partner_id
integer
required
Example:

2

source_account_no
string
required

Originating account number

Example:

"123638791329"

status
enum<string>
required
Available options:
CANCELED,
COMPLETE,
DECLINED,
INIT,
PENDING
trace_no
string
required

Trace number of the transaction

Example:

"123456780000069"

account_id
string<uuid>

Receiving account uuid. This links to the external account resource (represented by 'receiving_account_id' in the request to send outgoing ACH).

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

account_name
string

Receiving account name

Example:

"Bruce Wayne"

company_entry_description
string

Company Entry Description field in ACH batch header. Originator inserts this field's value to provide the Receiver with a description of the entry's purpose. NACHA Operating Rules dictate that Payroll or E-Commerce Purchase ACH transactions require setting this field to PAYROLL or PURCHASE respectively.

Example:

"PAYROLL"

company_name
string

Company Name field in ACH batch header.

Example:

"Asdf Finance"

hold
object
incoming_ach_id
string<uuid>

ID of the linked incoming ACH entry. This is filled only for outgoing ACH entries that are returns and links to the originally received incoming entry.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

reference_info
string

Transaction reference info

return_data
object

Filled if the entry is a return.

source_account_id
string<uuid>

Originating account uuid. This links to the customer account on Synctera platform (represented by 'originating_account_id' in the request to send outgoing ACH).

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

source_account_name
string

Originating account name

Example:

"Thomas Anderson"